gi-gdk4-4.0.10: Gdk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gdk.Objects.Snapshot

Contents

- Exported types
- Methods

Description

Base type for snapshot operations.

The subclass of `GdkSnapshot` used by GTK is GtkSnapshot.

Synopsis

- newtype Snapshot = Snapshot (ManagedPtr Snapshot)
- class (GObject o, IsDescendantOf Snapshot o) => IsSnapshot o
- toSnapshot :: (MonadIO m, IsSnapshot o) => o -> m Snapshot

# Exported types

newtype Snapshot Source #

Memory-managed wrapper type.

Constructors

Snapshot (ManagedPtr Snapshot) |

#### Instances

Instances details

Eq Snapshot Source # |
Instance details Defined in GI.Gdk.Objects.Snapshot Methods (==) :: Snapshot -> Snapshot -> Bool Source # (/=) :: Snapshot -> Snapshot -> Bool Source #
GObject Snapshot Source # |
Instance details Defined in GI.Gdk.Objects.Snapshot
ManagedPtrNewtype Snapshot Source # |
Instance details Defined in GI.Gdk.Objects.Snapshot Methods toManagedPtr :: Snapshot -> ManagedPtr Snapshot Source #
TypedObject Snapshot Source # |
Instance details Defined in GI.Gdk.Objects.Snapshot Methods glibType :: IO GType Source #
HasParentTypes Snapshot Source # |
Instance details Defined in GI.Gdk.Objects.Snapshot
IsGValue (Maybe Snapshot) Source # | Convert `Snapshot` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gdk.Objects.Snapshot Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe Snapshot -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe Snapshot) Source #
type ParentTypes Snapshot Source # |
Instance details Defined in GI.Gdk.Objects.Snapshot type ParentTypes Snapshot = '[Object]

class (GObject o, IsDescendantOf Snapshot o) => IsSnapshot o Source #

Type class for types which can be safely cast to `Snapshot`, for instance with `toSnapshot`.

#### Instances

Instances details

(GObject o, IsDescendantOf Snapshot o) => IsSnapshot o Source # |
Instance details Defined in GI.Gdk.Objects.Snapshot

toSnapshot :: (MonadIO m, IsSnapshot o) => o -> m Snapshot Source #

Cast to `Snapshot`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

bindProperty, bindPropertyFull, forceFloating, freezeNotify, getv, isFloating, notify, notifyByPspec, ref, refSink, runDispose, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getData, getProperty, getQdata.

#### Setters

setData, setDataFull, setProperty.